Get action execution details
- GET
- /workspaces
- /:workspace
- /projects
- /:project_name
- /pipelines
- /:pipeline_id
- /executions
- /:execution_id
- /action_executions
- /:action_execution_id
Returns details of a single action execution
Request example
CURL
curl -X GET "https://api.buddy.works/workspaces/:workspace/projects/:project_name/pipelines/:pipeline_id/executions/:execution_id/action_executions/:action_execution_id" \
-H "Authorization: Bearer <YOUR-TOKEN>" \
-H "Content-Type: application/json"
EXAMPLE RESPONSE
{
"url": "https://api.buddy.works/workspaces/my-workspace/projects/my-project/pipelines/89/executions/123456/action_executions/68e77c82b38c40fc0535ee55",
"html_url": "https://app.buddy.works/my-workspace/my-project/pipelines/pipeline/89/execution/68e77c82b38c40fc0535ee51/?actionExecutionId=68e77c82b38c40fc0535ee55",
"action_execution_id": "68e77c82b38c40fc0535ee55",
"start_date": "2025-10-09T09:12:38.688Z",
"finish_date": "2025-10-09T09:12:42.322Z",
"status": "SUCCESSFUL",
"progress": 100,
"action": {
"url": "https://api.buddy.works/workspaces/my-workspace/projects/my-project/pipelines/89/actions/149",
"html_url": "https://app.buddy.works/my-workspace/my-project/pipelines/pipeline/89/action/149/edit",
"id": 149,
"name": "Transfer to AWS S3/my-bucket",
"type": "AMAZON_S3",
"current_revision": "2aeec94b11d79263c0076e8281e93ceacf88211c",
"trigger_time": "ON_EVERY_EXECUTION",
"run_next": "WAIT_ON_SUCCESS",
"disabled": false,
"timeout": null,
"ignore_errors": false,
"integration": {
"identifier": "amazon-web-services"
},
"last_execution_status": "SUCCESSFUL"
},
"passed_variables": [],
"outputted_variables": [],
"log": [
"Integration: amazon-web-services|3A97MwY02W1GEVkmzePKxRyDnE",
"Listing files for deployment...",
"File list ready. Starting upload...",
"Deploying...",
"Creating directory dir...",
"Uploading file dir/readme.txt...",
"Uploading file sad...",
"Deployment finished successfully"
]
}STATUS
200 OK